Subject: Re: meson-test syntax error

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 3 Jan 2025 07:40:17 +0100

On Thu, Jan 02, 2025 at 07:39:54AM -0800, Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:
> 
> > Junio C Hamano wrote:
> >> Jonathan Nieder <[email-masked]> writes:
> >>> Andy Koppe wrote:
> >
> >>>>   make[1]: Entering directory '/src/git/t'
> >>>>   rm -f -r 'test-results'
> >>>>   /bin/sh: 10: Syntax error: "(" unexpected
> >>>>   make[1]: *** [Makefile:119: check-meson] Error 2
> >>>>
> >>>> Due to this line:
> >>>>
> >>>>   diff -u <(echo "$$meson_tests") <(echo "$$actual_tests");
> > [...]
> >>> I ran into the same today.  Let's discuss in the review thread
> >>> (https://lore.kernel.org/git/[email-masked]/).
> >>
> >> Probably this one?
> >>
> >> <[email-masked]>
> >
> > Ah, yes, that's the one I mean.  Sorry for the noise.
> 
> Sorry for being extra sloppy on this one.  A patch like that with
> blatant bash-ism shouldn't have slipped the review process.
> 
> One thing I had trouble with is that, with /bin/sh linked to
> /bin/bash, none of these
> 
>     $ SHELL=/bin/dash make test
>     $ cd t && SHELL=/bin/dash make test
>     $ cd t && SHELL=/bin/dash make check-meson
> 
> seem to fail for me.

Sorry, as well. Thanks for the report and investigations!

Patrick